NotificationNotesResource
Manages notes on notifications.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class NotificationNotesResourceManages notes on notifications. Get it from NotificationsResource.notes().
Methods
list
public JsonNode list(
String kind,
String targetId,
RequestOptions options) throws IOException, InterruptedExceptionLists the notes on one notification (GET /v1/slim/notifications/{kind}/{targetId}/notes).
Parameters:
kind: the notification kind:oob,alarm,medicaloralerttargetId: the notification or episode IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
OvokValidationException: ifkindis not one of the supported kindsIOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
create
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedExceptionAdds a note to a notification (POST /v1/slim/notifications/notes).
Parameters:
body: the note to createoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
update
public JsonNode update(
String noteId,
Object body,
RequestOptions options) throws IOException, InterruptedExceptionReplaces a note (PUT /v1/slim/notifications/notes/{noteId}).
Parameters:
noteId: the note IDbody: the full noteoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
patch
public JsonNode patch(
String noteId,
Object body,
RequestOptions options) throws IOException, InterruptedExceptionChanges some fields of a note (PATCH /v1/slim/notifications/notes/{noteId}).
Parameters:
noteId: the note IDbody: the fields to changeoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
delete
public void delete(String noteId, RequestOptions options) throws IOException, InterruptedExceptionDeletes a note (DELETE /v1/slim/notifications/notes/{noteId}).
Parameters:
noteId: the note IDoptions: per-request options, such as the timeout
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on